Generation Framework

## org.eclipse.gmf.gmfgraph
Interface Node

All Superinterfaces:
  DiagramElement, EObject, Identity, Notifier

All Known Subinterfaces:
  DiagramLabel

All Known Implementing Classes:
  DiagramLabelImpl, NodeImpl

public interface Node
extends DiagramElement

A representation of the model object 'Node'.

The following features are supported:

- `Node Figure`
- `Resize Constraint`

See Also:
  `GMFGraphPackage.getNode()`
** Generated **
Model:

Method Summary
`Figure` `getNodeFigure()` Returns the value of the 'Node Figure' reference
`Direction` `getResizeConstraint()` Returns the value of the 'Resize Constraint' attribute.
`void` `setResizeConstraint(Direction value)` Sets the value of the '`Resize Constraint`' attribute

Methods inherited from interface org.eclipse.gmf.gmfgraph.DiagramElement
`find, getFacets, getFigure, setFigure`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Identity
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNodeFigure

    public Figure getNodeFigure()

  Returns the value of the 'Node Figure' reference. Specializes DiagramElement.figure

  Returns:
    the value of the 'Node Figure' reference.
  See Also:
    `GMFGraphPackage.getNode_NodeFigure()`
  ** Generated **
  Model:
    resolveProxies="false" required="true" transient="true" changeable="false" volatile="true" derived="true"

### getResizeConstraint

    public Direction getResizeConstraint()

  Returns the value of the 'Resize Constraint' attribute. The default value is `"NSEW"`. The literals are from the enumeration `Direction`.

  If the meaning of the 'Resize Constraint' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Resize Constraint' attribute.
  See Also:
    `Direction`, `Node.setResizeConstraint(Direction)`, `GMFGraphPackage.getNode_ResizeConstraint()`
  ** Generated **
  Model:
    default="NSEW"

### setResizeConstraint

    public void setResizeConstraint(Direction value)

  Sets the value of the '`Resize Constraint`' attribute.

  Parameters:
    `value` - the new value of the 'Resize Constraint' attribute.
  See Also:
    `Direction`, `Node.getResizeConstraint()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.